FreeMat

- Main Page
- Related Pages

vtkCuller

Section: Visualization Toolkit Rendering Classes

# Usage

A culler has a cull method called by the vtkRenderer. The cull method is called before any rendering is performed, and it allows the culler to do some processing on the props and to modify their AllocatedRenderTime and re-order them in the prop list.

To create an instance of class vtkCuller, simply invoke its constructor as follows

      obj = vtkCuller

# Methods

The class vtkCuller has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCuller class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCuller = obj.NewInstance ()`
- `vtkCuller = obj.SafeDownCast (vtkObject o)`